LOCK_TWO_NONDIRECTOR(9)

NAME
lock_two_nondirectories - take two i_mutexes on non-directory objects

SYNOPSIS

void lock_two_nondirectories(struct inode * inode1, struct inode * inode2);

ARGUMENTS

inode1
    first inode to lock

inode2
    second inode to lock

DESCRIPTION

Lock any non-NULL argument that is not a directory. Zero, one or two objects may be locked by this function.

COPYRIGHT